package cn.freemud.enums;

/**
 * All rights Reserved, Designed By www.freemud.cn
 *
 * @version V1.5.1
 * @Title: DeliveryStatus
 * @Package cn.freemud.enums
 * @Description: 简单描述下这个类是做什么用的
 * @author: hang.chai
 * @date: 2018/12/12 14:57
 * @Copyright: 2018 www.freemud.cn Inc. All rights reserved.
 * 注意：本内容仅限于上海非码科技内部传阅，禁止外泄以及用于其他的商业目
 */
public enum DeliveryStatus {

    WATINGORDER(0,"待接单"),
    SYSTEMGETORDER(1,"系统接单"),
    ALLOTRIDER(2,"分配骑手"),
    RIDERARRIVESTORE(3,"骑手到店"),
    RIDERGETMEAL(4,"骑手取餐"),
    RIDERSTARTDELIVERY(5,"开始配送"),
    DELIVERYARRIVED(6,"运单送达"),
    DELIVERYERROR(7,"运单异常"),
    DELIVERYCANCEL(8,"运单取消"),
    DELIVERY_CREATE_SUCCESS(9, "创建配送单成功"),
    ;

    private int code;

    private String desc;

    DeliveryStatus(int code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
